org.hibernate.search.engine.metadata.impl

## Class DocumentFieldMetadata

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.DocumentFieldMetadata

- All Implemented Interfaces:
    PartialDocumentFieldMetadata

      public class DocumentFieldMetadata
      extends Object
      implements PartialDocumentFieldMetadata

  Encapsulating the metadata for a single field within a Lucene `Document`.
  Author:
    Hardy Ferentschik

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DocumentFieldMetadata.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbsoluteName()`
    `AnalyzerReference` | `getAnalyzerReference()`
    `Float` | `getBoost()`
    `Map<String,BridgeDefinedField>` | `getBridgeDefinedFields()`
    `Set<FacetMetadata>` | `getFacetMetadata()`
    `FieldBridge` | `getFieldBridge()`
    `Field.Index` | `getIndex()`
    `NullMarkerCodec` | `getNullMarkerCodec()`
    `NumericFieldSettingsDescriptor.NumericEncodingType` | `getNumericEncodingType()`
    `DocumentFieldPath` | `getPath()`
    `Integer` | `getPrecisionStep()`
    `PropertyMetadata` | `getSourceProperty()`
    `TypeMetadata` | `getSourceType()`
    `Store` | `getStore()`
    `Field.TermVector` | `getTermVector()`
    `boolean` | `hasFacets()`
    `boolean` | `isId()`
    `boolean` | `isIdInEmbedded()`
    `boolean` | `isNumeric()`
    `boolean` | `isSpatial()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSourceType

          public TypeMetadata getSourceType()

      Returns:
        The type from which the value for this field is extracted. This is not the type of the actual value, since the value might be extracted by accessing a `property` on this type.

    - #### getSourceProperty

          public PropertyMetadata getSourceProperty()

      Specified by:
        `getSourceProperty` in interface `PartialDocumentFieldMetadata`
      Returns:
        The property from which the value for this field is extracted. `null` for class bridges.

    - #### getAbsoluteName

          public String getAbsoluteName()

      Returns:
        The full name of this field, including any indexed-embedded prefix. Equivalent to `#getPath().getAbsoluteName()`.

    - #### getPath

          public DocumentFieldPath getPath()

      Specified by:
        `getPath` in interface `PartialDocumentFieldMetadata`
      Returns:
        The path from the document root to this field.

    - #### isId

          public boolean isId()

    - #### isIdInEmbedded

          public boolean isIdInEmbedded()

    - #### getStore

          public Store getStore()

    - #### getIndex

          public Field.Index getIndex()

      Specified by:
        `getIndex` in interface `PartialDocumentFieldMetadata`

    - #### getTermVector

          public Field.TermVector getTermVector()

    - #### getFieldBridge

          public FieldBridge getFieldBridge()

    - #### getBoost

          public Float getBoost()

    - #### getAnalyzerReference

          public AnalyzerReference getAnalyzerReference()

      Specified by:
        `getAnalyzerReference` in interface `PartialDocumentFieldMetadata`

    - #### getNullMarkerCodec

          public NullMarkerCodec getNullMarkerCodec()

    - #### isNumeric

          public boolean isNumeric()

      Specified by:
        `isNumeric` in interface `PartialDocumentFieldMetadata`

    - #### isSpatial

          public boolean isSpatial()

    - #### getPrecisionStep

          public Integer getPrecisionStep()

    - #### getNumericEncodingType

          public NumericFieldSettingsDescriptor.NumericEncodingType getNumericEncodingType()

      Specified by:
        `getNumericEncodingType` in interface `PartialDocumentFieldMetadata`

    - #### hasFacets

          public boolean hasFacets()

    - #### getFacetMetadata

          public Set<FacetMetadata> getFacetMetadata()

    - #### getBridgeDefinedFields

          public Map<String,BridgeDefinedField> getBridgeDefinedFields()

      Specified by:
        `getBridgeDefinedFields` in interface `PartialDocumentFieldMetadata`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved